[PATCH] [defaultenv/bin/_update] Check return values of erase and tftp/cp

Teresa Gamez T.Gamez at phytec.de
Thu Jun 9 03:45:31 EDT 2011


The _update script does not check the return value of erasing a partiton or
flashing the image to the device. Added this check to get a evaluable return
value from the update script.

Signed-off-by: Teresa Gámez <t.gamez at phytec.de>
---
 defaultenv/bin/_update |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/defaultenv/bin/_update b/defaultenv/bin/_update
index f736acc..1bcb71c 100644
--- a/defaultenv/bin/_update
+++ b/defaultenv/bin/_update
@@ -35,16 +35,16 @@ unprotect $part
 echo
 echo "erasing partition $part"
 echo
-erase $part
+erase $part || exit 1
 
 echo
 echo "flashing $image to $part"
 echo
 
 if [ x$mode = xtftp ]; then
-	tftp $image $part
+	tftp $image $part || exit 1
 else
-	cp $image $part
+	cp $image $part || exit 1
 fi
 
 protect $part
-- 
1.7.0.4







More information about the barebox mailing list